org.apache.solr.cloud

## Class SocketProxy.Bridge.Pump

- java.lang.Object
- - java.lang.Thread
  - - org.apache.solr.cloud.SocketProxy.Bridge.Pump

- All Implemented Interfaces:
    Runnable
  Enclosing class:
    SocketProxy.Bridge

      public class SocketProxy.Bridge.Pump
      extends Thread

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `Thread.State, Thread.UncaughtExceptionHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Socket` | `src`

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Pump(String kind, Socket source, Socket dest)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `goOn()`
    `void` | `pause()`
    `void` | `run()`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### src

          protected Socket src

  - ### Constructor Detail

    - #### Pump

          public Pump(String kind,
                      Socket source,
                      Socket dest)

  - ### Method Detail

    - #### pause

          public void pause()

    - #### goOn

          public void goOn()

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`
      Overrides:
        `run` in class `Thread`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.